CreateHub - POST
|
Path |
/api/projects/{projectId}/model/hub |
|---|---|
|
Http Method |
POST |
Overview
Create a hub.
Required permissions
-
Write access to the Build module. BUILD WRITE
Request
Request body
{
"name": "MyHub",
"businessKey": {
"name": "businessKey",
"length": 255
},
"technicalDescription": "hub technical description",
"businessDescription": "hub business description",
"ignoreBusinessKeyCase": false
}
Field descriptions
|
Field |
Type |
Required |
Description |
Constraints |
|---|---|---|---|---|
|
name |
string |
yes |
The name of the entity. |
Hub names should only contain alphanumeric characters and underscored, and must start with a character. Maximum length is 25 characters, minimum is 2. |
|
businessKey |
object |
yes |
The details about the business key of the hub. |
|
|
businessKey.name |
string |
yes |
The name of the business key. |
|
|
businessKey.length |
integer |
yes |
The length of the business key. |
Larger than 1. |
|
technicalDescription |
string |
no |
The technical description of the hub. |
|
|
businessDescription |
string |
no |
The business description of the hub. |
|
|
ignoreBusinessKeyCase |
boolean |
yes |
Whether the case of business keys are used to determined their unicity. Note: this is implemented using the UPPER() sql function. |
|
Response
Success response (200 OK)
{
"id": "0e91c16d-71a5-4375-85e5-506107482e73",
"name": "MyHub",
"entityType": "Hub",
"businessDescription": "hub business description",
"technicalDescription": "hub technical description",
"deployedInProduction": false,
"tableName": "dv.h_MyHub",
"businessKey": {
"length": 255,
"name": "businessKey",
"type": "String"
},
"ignoreBusinessKeyCase": false
}
Response fields
|
Field |
Type |
Description |
|---|---|---|
|
id |
string |
The app-generated unique id of the concept. |
|
name |
string |
The name of the concept. |
|
entityType |
string |
“Hub” |
|
businessDescription |
string |
The business description of the hub. |
|
technicalDescription |
string |
The technical description of the hub. |
|
deployedInProduction |
boolean |
deprecated always false |
|
tableName |
string |
The default technical name that will be used when trying to deploy this entity’s table. |
|
businessKey |
object |
The details about the business key of the hub. |
|
businessKey.length |
string |
The length of the business key. |
|
businessKey.name |
string |
The name of the business key. |
|
businessKey.type |
string |
The type of the business key. Only “String“ is supported |
|
ignoreBusinessKeyCase |
boolean |
Whether the case of business keys are used to determined their unicity. |
Response links and embedded objects
|
Name |
Link |
Constraints |
|---|---|---|
|
project |
|
|
|
satellites |
|
|
|
pitTables |
|
|
|
mappings |
|
|